
Redmine - Defect #31872

Status Transitions are not saved

2019-08-09 17:58 - sergio R

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.4.11

Description

Using redmine 3.4.11 with MSSQL

When I try to change status transitions they are not saved.

Once you enable a transition it stays enabled forever.

Even if I try to unchecked it and save it, it does not work.

History

#1 - 2019-08-09 19:33 - sergio R

plugins loaded:

Clipboard image paste

Redmine Dynamic edit Issue plugin

Redmine Lightbox 2

#2 - 2019-08-10 02:29 - Go MAEDA

- Status changed from New to Needs feedback

Could you try again after uninstalling all plugins?

#3 - 2019-08-12 15:39 - sergio R

please confirm the steps to uninstall plugins:

1. run :rake redmine:plugins:migrate NAME=<PLUGIN_DIRECTORY_NAME_HERE> VERSION=0 RAILS_ENV=production;

2. Delete plugin directory;

3. restart redmine (Apache in my case);

Or do I need to stop redmine first?

#4 - 2019-08-12 15:50 - sergio R

I didn't know I needed to run that command to uninstall plugins, should add a message in plugins page about that.

I uninstalled others plugins I had just deleted the directory before (scrum and issues template) and also removed those three I had loaded.

The problem persists, once I set a transition I cannot unset it anymore.

#5 - 2019-08-12 16:11 - sergio R

I have set "config.log_level = :debug".

There are no DELETE commands executed when updating the workflow.

By unchecking some transitions, it should run a SQL DELETE command, right?

(I'm using MSSQL 2017)

EDIT:

Looks like It should not execute DELETE everytime.

But there is something strange here.

The columns WORKFLOWS.assignee and WORKFLOWS.author are both set to ZERO, but it still rendered checked.

Should it delete the WORKFLOWS records if both assignee and author are set to zero?

or least it should check the values when rendering the page?
Because once I directly delete those records in the database, the checkboxes are no checked anymore.
